#!/usr/bin/ruby-web

# Add session values
unless Web["key"].empty?
  Web.session[ Web["key"] ] = Web["value"]
end

# Delete session values
Web["delete[]"].each { |key|
  Web.session.delete key
}

# Printing the form
Web.puts '<html><body>'
Web.puts '<form name="session_test">'
Web.puts '<h3>Session Values:</h3>'

Web.session.each { |key, val|
  Web.puts "<b>#{key}</b> => <i>#{val}</i><br>"
  Web.puts "Delete #{key}? <input type=\"checkbox\" name=\"delete[]\" value=\"#{key}\"><br>"
}

Web.print <<-HTML
<h3>Enter new value:</h3>
Key: <input type="text" name="key"> => Value:<input type="text" name="value">
<p><input type="submit" value="Save"></p>
                </form>
</body></html>
HTML
