class TestSession < Test::Unit::TestCase
  include Web::Testing
  
  def test_session
    do_request "session.rb"

    assert_form_includes( "session_test",
                          "key" => "",
                          "value" => "" )
    
    do_submit( "session_test",
               "key" => "patrick",
               "value" => "a person of dubious motives" )

    assert_equal( { "patrick" => "a person of dubious motives" },
                  Web.session )

    
    do_submit( "session_test",
               "key" => "tom",
               "value" => "a speedy programmer" )

    assert_equal( { "patrick" => "a person of dubious motives",
                    "tom" => "a speedy programmer" },
                  Web.session )

    #assert_form_includes( "session_test", "delete[]" => select([ ],
    #                                                           "patrick",
    #                                                             "tom" ) )

    #do_submit( "session_test", "delete[]" => "patrick" )

    #assert_equal( { "tom" => "a speedy programmer" },
    #              Web.session )

  end
end
