# shim for old style CGI functionality
# TODO: templating methods?
class CGI
  class << self
    [:escape,
     :unescape,
     :escapeHTML,
     :unescapeHTML,
     :escapeElement,
     :unescapeElement, ].each do |sym|
      define_method(sym) do |*args|
        Web::send( sym, *args )
      end
    end
  end

  def [] key
    Web[key]
  end

  # params has slightly different logic than Web::request
  def params
    Web::request
  end

  def has_key?(key)
    self.params.has_key?(key)
  end

end
