<?php

error_reporting(E_ALL);
if (sizeof($argv) <= 2) return;

$MAINDIR = $argv[1];
$HTTPD_CONF = $argv[2];

if (!$HTTPD_CONF) return;

echo "******************************************\n";
echo "* Installing .PHP mapping for Apache 1.3 *\n";
echo "******************************************\n";

flush();

$insarr[] =   "LoadModule php4_module $MAINDIR\\php\\php4apache.dll\r\n";
$insarr[] = "AddModule mod_php4.c\r\n";
$insarr[] = "AddType application/x-httpd-php .php\r\n";

$lines = file($HTTPD_CONF);
foreach($lines as $k => $v) {
	if (strpos($v,'index.html') !== false) {
		if (strpos($v,'index.php') == false) {
			$lines[$k] = str_replace('index.html','index.html index.php',$v);
		}
	}
	
	if (preg_match('/LoadModule\s+php4_module/i',$v)) {
		$lines[$k] = $insarr[0];
		$insarr[0] = '';
	}
	
	if (preg_match('/AddModule\s+mod_php4.c/i',$v)) {
		$lines[$k] = $insarr[1];
		$insarr[1] = '';
	}
	
	if (preg_match('/AddType application\/x-httpd-php \.php/i',$v)) {
		$lines[$k] = $insarr[2];
		$insarr[2] = '';
	}
	
	if (preg_match('/^\s*DocumentRoot\s+(.*)/',$v,$rootarr)) {
		$root = $rootarr[1];
		if (substr($root,0,1) == '"') $root = trim(substr($root,1));
		if (substr($root,strlen($root)-1) == '"') $root = substr($root,0,strlen($root)-1);
		if (substr($root,strlen($root)-1) == '/') $root = substr($root,0,strlen($root)-1);
		if (substr($root,strlen($root)-1) == '\\') $root = substr($root,0,strlen($root)-1);
	}
}

if ($insarr[0] != '') $lines[] = "\r\n\r\n################# PHP ###################\r\n";
foreach($insarr as $v) $lines[] = $v;

$f = fopen($HTTPD_CONF,'w');
if ($f) {
	foreach($lines as $v) fwrite($f,$v);
	fclose($f);
}

system('net stop apache');
system('net start apache');
sleep(2);
?>