=begin
= test for WebUnit::Form
  Copyright(C) 2001 yuichi TAKAHASHI
  $Id: test_form.rb,v 1.1.1.1 2003/01/21 11:50:40 yuichi Exp $
=end

require 'webunit/webunit'
require 'runit/cui/testrunner'

module WebUnit

  class TestForm < WebUnit::TestCase

    def test_accessor
    end

    # this test is strange, and I don't see
    # how this is a problem with ruby-web
    #     ~ patrick
    def hide_test_Form__store_test_data

      url = '?test=stock'
      url_clear = url + '&clear=yes'

      form = Response::get( url_clear ).form
      #assert_urls( 'test_install.cgi', form.action )

      form = Response::get( url ).form
      form.store_test_data( %w( name title ), <<-EOF )
        yuichi,leader
        tadaya,member
      EOF

      parameters = Response::get( url ).form.parameters

      assert_equals( 'yuichi', parameters[4].value )
      assert_equals( 'leader', parameters[5].value )
      assert_equals( 'tadaya', parameters[6].value )
      assert_equals( 'member', parameters[7].value )

      Response::get( url_clear )

    end

  end

end
